{
    "name": "webvokestudio/athenahr",
    "type": "project",
    "description": "AthenaHR: Your one-stop-shop for all your community recruitment needs",
    "license": "GPL-3.0-or-later",
    "authors": [
        {
            "name": "Miguel Nogueira",
            "email": "miguel.nogueira@webvokestudio.pt",
            "homepage": "https://nogueira.codes",
            "role": "Lead Developer"
        }
    ],
    "require": {
        "php": "^8.1",
        "ext-json": "*",
        "barryvdh/laravel-translation-manager": "^0.6.3",
        "geo-sot/laravel-env-editor": "^3.2",
        "graham-campbell/markdown": "^16.0",
        "guzzlehttp/guzzle": "^7.0.1",
        "jeroennoten/laravel-adminlte": "^3.8.6",
        "laravel-notification-channels/discord": "^1.3",
        "laravel/framework": "^12.0",
        "laravel/slack-notification-channel": "^3.6.0",
        "laravel/socialite": "^5.5",
        "laravel/tinker": "^2.0",
        "laravel/ui": "^4.2",
        "larswiegers/laravel-translations-checker": "^0.9.3",
        "mcamara/laravel-localization": "^2.0",
        "mpociot/teamwork": "^10.0",
        "opcodesio/log-viewer": "^3.19.0",
        "pragmarx/google2fa-laravel": "^1.3",
        "sentry/sentry-laravel": "4.15.*",
        "socialiteproviders/discord": "^4.1",
        "spatie/laravel-permission": "^6.21.0",
        "spatie/laravel-sitemap": "^7.2"
    },
    "require-dev": {
        "barryvdh/laravel-debugbar": "^3.3",
        "barryvdh/laravel-ide-helper": "^v3.6.0",
        "fakerphp/faker": "^1.19",
        "laravel/pint": "^1.4",
        "laravel/sail": "^1.23",
        "mockery/mockery": "^1.3.1",
        "nunomaduro/collision": "^8.1",
        "phpunit/phpunit": "^11.0",
        "spatie/laravel-ignition": "^2.0"
    },
    "config": {
        "optimize-autoloader": true,
        "preferred-install": "dist",
        "sort-packages": true,
        "allow-plugins": {
            "php-http/discovery": true
        }
    },
    "extra": {
        "laravel": {
            "dont-discover": []
        }
    },
    "conflict": {
        "ext-psr": "*"
    },
    "autoload": {
        "psr-4": {
            "App\\": "app/",
            "Database\\Factories\\": "database/factories/",
            "Database\\Seeders\\": "database/seeders/"
        }
    },
    "autoload-dev": {
        "psr-4": {
            "Tests\\": "tests/"
        }
    },
    "minimum-stability": "stable",
    "prefer-stable": true,
    "scripts": {
        "post-autoload-dump": [
            "Illuminate\\Foundation\\ComposerScripts::postAutoloadDump",
            "@php artisan package:discover --ansi"
        ],
        "post-root-package-install": [
            "@php -r \"file_exists('.env') || copy('.env.example', '.env');\""
        ],
        "post-create-project-cmd": [
            "@php artisan key:generate --ansi"
        ]
    }
}
